LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
Desktop Service Referencepublished

A legacy (single-instance) service-variant of theDesktop singleton. More...

`import"Desktop.idl";`

Inheritance diagram for Desktop:

## Additional Inherited Members
Exported Interfaces inherited from XDesktop2
interface | XDispatchProvider
| provides access to dispatchers for the frame. More...
interface | XDispatchProviderInterception
| supports interception mechanism for dispatched URLs More...
interface | XFramesSupplier
| provides access to sub frames within this frame More...
interface | XDesktop
| regulate life time of desktop environment and support high level access to components of sub frame tree More...
interface | XComponentLoader
| supports simple API for loading components into the frame environment More...
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDispatchProviderInterception
void | registerDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| registers an XDispatchProviderInterceptor, which will become the first interceptor in the chain of registered interceptors. More...
void | releaseDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| removes an XDispatchProviderInterceptor which was previously registered More...
Public Member Functions inherited from XFramesSupplier
XFrames | getFrames ()
| provides access to this container and to all other XFramesSupplier which are available from this node of frame tree More...
XFrame | getActiveFrame ()
| gets the current active frame of this container (not of any other available supplier) More...
void | setActiveFrame ([in] XFrame Frame)
| is called on activation of a direct sub-frame. More...
Public Member Functions inherited from XFrame
void | initialize ([in] com::sun::star::awt::XWindow xWindow)
| is called to initialize the frame within a window - the container window. More...
com::sun::star::awt::XWindow | getContainerWindow ()
| provides access to the container window of the frame. More...
void | setCreator ([in] XFramesSupplier Creator)
| sets the frame container that created this frame. More...
XFramesSupplier | getCreator ()
| provides access to the creator (parent) of this frame More...
string | getName ()
| access to the name property of this frame More...
void | setName ([in] string aName)
| sets the name of the frame. More...
XFrame | findFrame ([in] string aTargetFrameName, [in] long nSearchFlags)
| searches for a frame with the specified name. More...
boolean | isTop ()
| determines if the frame is a top frame. More...
void | activate ()
| activates this frame and thus the component within. More...
void | deactivate ()
| is called by the creator frame when another sub-frame gets activated. More...
boolean | isActive ()
| determines if the frame is active. More...
boolean | setComponent ([in] com::sun::star::awt::XWindow xComponentWindow, [in] XController xController)
| sets a new component into the frame or release an existing one from a frame. More...
com::sun::star::awt::XWindow | getComponentWindow ()
| provides access to the component window More...
XController | getController ()
| provides access to the controller More...
void | contextChanged ()
| notifies the frame that the context of the controller within this frame changed (i.e. More...
void | addFrameActionListener ([in]XFrameActionListener xListener)
| registers an event listener, which will be called when certain things happen to the components within this frame or within sub-frames of this frame. More...
void | removeFrameActionListener ([in] XFrameActionListener xListener)
| unregisters an event listener More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XDesktop
boolean | terminate ()
| tries to terminate the desktop. More...
void | addTerminateListener ([in] XTerminateListener Listener)
| registers an event listener to the desktop, which is called when the desktop is queried to terminate, and when it really terminates. More...
void | removeTerminateListener ([in] XTerminateListener Listener)
| unregisters an event listener for termination events. More...
com::sun::star::container::XEnumerationAccess | getComponents ()
| provides read access to collection of all currently loaded components inside the frame tree More...
com::sun::star::lang::XComponent | getCurrentComponent ()
| provides read access to the component inside the tree which has the UI focus More...
XFrame | getCurrentFrame ()
| provides read access to the frame which contains the current component More...
Public Member Functions inherited from XComponentLoader
com::sun::star::lang::XComponent | loadComponentFromURL ([in] string URL, [in] string TargetFrameName, [in] long SearchFlags, [in] sequence< com::sun::star::beans::PropertyValue > Arguments) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| loads a component specified by a URL into the specified new or existing frame. More...

## Detailed Description

A legacy (single-instance) service-variant of theDesktop singleton.

Deprecated:
  Use theDesktop singleton instead.

Developers Guide
  Office Development - Desktop Environment
  Office Development - Using the Desktop
  Universal Content Broker - Universal Content Broker - Capabilities

The documentation for this service was generated from the following file:

- com/sun/star/frame/Desktop.idl